# Tomcat
server:
  max-http-header-size: 4048576
  tomcat:
    max-http-post-size: -1 #请求参数长度
  port: 9300

# Spring
spring:
  application:
    # 应用名称
    name: ruoyi-file
  profiles:
    # 环境配置
    active: dev
  servlet:
    multipart:
      enabled: true
      max-file-size: -1
      max-request-size: -1
  cloud:
    nacos:
      discovery:
        namespace: 6ff354f8-471d-46ef-bd30-b81588a009cd
        # 服务注册地址
        server-addr: 203.0.105.106:8848
        group: intc
      config:
        namespace: 6ff354f8-471d-46ef-bd30-b81588a009cd
        # 配置中心地址
        server-addr: 203.0.105.106:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
# 用于服务监控可在线查看日志，该配置用于生产环境
#logging:
#  file:
#    name: logs/${spring.application.name}/info.log
